#ifndef __TOOLSRANDOMNBIT_H_
#define __TOOLSRANDOMNBIT_H_

#include <boost/dynamic_bitset.hpp>

namespace tools {

  class RandomNBit {
    private:
      unsigned int n;
      unsigned int size;
      boost::dynamic_bitset<> data;
      void generate();
    public:
      RandomNBit( unsigned int numberOfBits );
      unsigned int getN() const;
      void print( bool octalOnly = true ) const;
  };

}

#endif /* __TOOLSRANDOMNBIT_H_ */
